Returns a reflection object for a specified hook

- « ReflectionProperty::getDocComment

- ReflectionProperty::getHooks »

- PHP Manual
- ReflectionProperty
- Returns a reflection object for a specified hook

# ReflectionProperty::getHook

(PHP 8 >= 8.4.0)

ReflectionProperty::getHook — Returns a reflection object for a specified hook

### Description

public ReflectionProperty::getHook(PropertyHookType `$type`): ?ReflectionMethod

Gets the reflection of the property's hook, if any.

### Parameters

`PropertyHookType`
  The type of hook to request.

### Return Values

If the requested hook is defined, a ReflectionMethod instance will be returned. If not, the method will return `null`

### Examples

Example #1 ReflectionProperty::getHook() example

    <?php
    class Example
    {
        public string $name { get => "Name here"; }
    }

    $rClass = new \ReflectionClass(Example::class);
    $rProp = $rClass->getProperty('name');
    var_dump($rProp->getHook(PropertyHookType::Get));
    var_dump($rProp->getHook(PropertyHookType::Set));
    ?>

The above example will output:

    object(ReflectionMethod)#4 (2) {
      ["name"]=>
      string(10) "$name::get"
      ["class"]=>
      string(7) "Example"
    }
    NULL

### See Also

- ReflectionMethod
- PropertyHookType